---
title: HTMLImageElement.hspace
slug: Web/API/HTMLImageElement/hspace
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Horizontal
  - Image
  - Layout
  - Obsolete
  - Property
  - Reference
  - hspace
  - img
  - left
  - margin
  - right
  - spacing
---
<p>{{APIRef("HTML DOM")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <em>obsolete</em> <code><strong>hspace</strong></code> property of the {{domxref("HTMLImageElement")}} interface specifies the number of pixels of empty space to leave empty on the left and right sides of the {{HTMLElement("img")}} element when laying out the page.</span></p>

<p>This property reflects the {{Glossary("HTML")}} {{htmlattrxref("hspace", "img")}} attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.hspace = <em>marginWidth</em>;
<em>marginWidth</em> = <em>htmlImageElement</em>.hspace;
</pre>

<h3 id="Value">Value</h3>

<p>An integer value specifying the width, in pixels, of the horizontal margin to apply to the left and right sides of the image.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The value specified for <code>hspace</code> is mapped to the {{cssxref("margin-left")}} and {{cssxref("margin-right")}} properties to specify the width of those margins in pixels.</p>

<div class="notecard warning">
<p><strong>Important</strong><strong>:</strong> This property is obsolete. You should instead use the CSS {{cssxref("margin")}} property and its longhand forms to establish margins around an <code>&lt;img&gt;</code>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#attr-img-hspace', 'HTMLImageElement.hspace')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#h-13.7.2", "HTMLImageElement.hspace")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td>Provides additional details not present in the newer specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLImageElement.hspace")}}</p>
